Added directory to store Ubuntu specific files
[hvlinux.git] / stage2 / cis-e2fsprogs
index 1560056..02997da 100755 (executable)
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
+
 # First argument of this script is the package name
 
 # Reading system configuration informations, functions and package versions.
@@ -7,16 +9,23 @@ source ../functions
 source ../packages-list
 
 # Applying patches (if any)
-apply_patches ${1} &&
+apply_patches ${1}
 
-cd ${LFS_TMP}/${1}-build &&
+cd ${LFS_TMP}/${1}-build
 ../${1}/configure \
     --prefix=/usr \
     --with-root-prefix="" \
-    --enable-elf-shlibs &&
-make -j ${MAKEJOBS} &&
-make install &&
+    --enable-elf-shlibs \
+    --disable-libblkid \
+    --disable-libuuid \
+    --disable-uuidd \
+    --disable-fsck
+make -j ${MAKEJOBS}
+make install
+# Install the static libraries and headers:
 make install-libs
 
-# Return last error
+# Make the installed static libraries writable so debugging symbols can be removed later:
+chmod -v u+w /usr/lib/{libcom_err,libe2p,libext2fs,libss}.a
+
 exit $?